=== scripts/benchmark/Makefile ===

clean:
	-rm *.o *.pyc *.vhd *.v *.out *~; ghdl --clean
