=== myhdl/test/core/Makefile ===
all:
	py.test

clean:
	- rm *.pyc *~
