=== myhdl/test/conversion/toVerilog/Makefile ===
all:
	py.test

clean:
	- rm *.o *.out *.v *.pyc *~ *.vcd* \#*
