=== myhdl/test/conversion/toVerilog2/Makefile ===
all: vlog  

vlog:
	py.test --sim vlog

iverilog:
	py.test --sim iverilog

cver:
	py.test --sim cver

clean:
	- rm *.o *.out *.v *.vhd *.pyc *~ *.vcd* *.log
