## myhdl 0.10

=== debian/changelog ===
myhdl (0.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:14:11 +0800

myhdl (0.10-2) unstable; urgency=medium

  * debian/control:
    - Set to 'Multi-Arch: foreign'
  * debian/tests: Added autopkgtest

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 04 Dec 2018 08:24:43 +0100

myhdl (0.10-1) unstable; urgency=medium

  * Initial release (Closes: #843902)

  * Thanks to Ondřej Nový for keeping the package in shape on Salsa before the
    first upload

  [ Steffen Moeller ]
  * Initial packaging

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 30 Sep 2018 20:48:54 +0200
