## myhdl 0.11

=== debian/changelog ===
myhdl (0.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Ruben Undheim ]
  * New upstream release
    - Drop some patches
  * debian/control:
    - New standards version 4.4.0 - no changes
    - Compat level 12
    - Remove python-myhdl (Closes: #937098)
    - Remove all Python2 dependencies
  * debian/rules:
    - Changes to only build for Python 3

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 20:47:19 +0200
