=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=myhdl
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -16,14 +16,13 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -r debian/python3-myhdl/usr/share/myhdl/cosimulation
 	if [ -d debian/myhdl-cosimulation/usr/share/myhdl/cosimulation ]; then \
 	  echo "I: Forgot to clean up prior to build? Otherwise investigate existence of debian/myhdl-cosimulation/usr/share/myhdl/cosimulation"; \
 	  rm -r debian/myhdl-cosimulation/usr/share/myhdl/cosimulation; \
 	fi
-	mv debian/python-myhdl/usr/share/myhdl/cosimulation debian/myhdl-cosimulation/usr/share/myhdl/
+	mv debian/python3-myhdl/usr/share/myhdl/cosimulation debian/myhdl-cosimulation/usr/share/myhdl/
 	# Remove empty dirs:
-	rmdir --ignore-fail-on-non-empty debian/python-myhdl/usr/share/myhdl debian/python3-myhdl/usr/share/myhdl
+	rmdir --ignore-fail-on-non-empty debian/python3-myhdl/usr/share/myhdl
 
 override_dh_installdocs:
 	dh_installdocs
