=== debian/tests/control ===
Tests: myhdl-load
Depends: python3-myhdl
